﻿# This runs in 0.9.10+ before upgrade and uninstall.
# Use this file to do things like stop services prior to upgrade or uninstall.
# NOTE: It is an anti-pattern to call chocolateyUninstall.ps1 from here. If you
#  need to uninstall an MSI prior to upgrade, put the functionality in this
#  file without calling the uninstall script. Make it idempotent in the
#  uninstall script so that it doesn't fail when it is already uninstalled.
# NOTE: For upgrades - like the uninstall script, this script always runs from 
#  the currently installed version, not from the new upgraded package version.

$packageName = 'airparrot2'
# If process name doesn't match the packageName then enter it manually
$Proc = @("$packageName")
$ProcessActive = Get-Process -Name $Proc -ErrorAction SilentlyContinue
if($ProcessActive){
	# Close AirParrot2 application if it is already installed and running
	Write-Host "Application $packageName is currently running and will be exited to perform install/upgrade/uninstall process."
	kill -processname $Proc -ErrorAction SilentlyContinue
}